Bug 814276 - [abrt] make-3.82-9.fc17: strlen: Process /usr/bin/make was killed by signal 11 (SIGSEGV)
[abrt] make-3.82-9.fc17: strlen: Process /usr/bin/make was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: make (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
abrt_hash:4d75f170cbc259a0e984591e22f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 10:13 EDT by Paul Alesius
Modified: 2015-05-04 21:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.19 KB, text/plain)
2012-04-19 10:13 EDT, Paul Alesius
no flags Details

  None (edit)
Description Paul Alesius 2012-04-19 10:13:09 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        make
crash_function: strlen
executable:     /usr/bin/make
kernel:         3.3.2-1.fc17.x86_64
pid:            891
pwd:            /opt/src/wine/dlls/msvcp90
remote_result:  NOTFOUND
time:           tor 19 apr 2012 16:11:09
uid:            1000
username:       noname

backtrace:      Text file, 8384 bytes

build_ids:
:be775a093c2ca6379d0f477fff17f2f8ca7283c4
:5da8d295014010dcaf44014dbeb291b3026af3e7
:11d196ee9220c6039404f4ba675abf3a24d8f0aa

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/noname/2

core_backtrace:
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x85f21 __strlen_sse2 libc.so.6 -
:be775a093c2ca6379d0f477fff17f2f8ca7283c4 0x5a55 - [exe] -
:be775a093c2ca6379d0f477fff17f2f8ca7283c4 0x5eca - [exe] -
:be775a093c2ca6379d0f477fff17f2f8ca7283c4 0x19d78 - [exe] -
:be775a093c2ca6379d0f477fff17f2f8ca7283c4 0x19f0f - [exe] -
:be775a093c2ca6379d0f477fff17f2f8ca7283c4 0x18fcc - [exe] -
:be775a093c2ca6379d0f477fff17f2f8ca7283c4 0x1a428 - [exe] -
:be775a093c2ca6379d0f477fff17f2f8ca7283c4 0x3a6a - [exe] -

dso_list:
:/usr/lib64/libc-2.15.so glibc-2.15-32.fc17.x86_64 (Fedora Project) 1333816181
:/usr/bin/make make-1:3.82-9.fc17.x86_64 (Fedora Project) 1333052800
:/usr/lib64/ld-2.15.so glibc-2.15-32.fc17.x86_64 (Fedora Project) 1333816181
:/usr/lib/locale/locale-archive glibc-common-2.15-32.fc17.x86_64 (Fedora Project) 1333816178

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=boxname
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/noname/keyring-mppvEk/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:MAKEFLAGS=
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=31457285
:GNOME_KEYRING_CONTROL=/run/user/noname/keyring-mppvEk
:OLDPWD=/opt/src/wine
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:LC_ALL=en_US
:IMSETTINGS_MODULE=none
:USER=noname
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/noname/keyring-mppvEk/ssh
:MAKELEVEL=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1002,unix/unix:/tmp/.ICE-unix/1002
:USERNAME=user
:MFLAGS=
:MAIL=/var/spool/mail/noname
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/noname/.local/bin:/home/noname/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/opt/src/wine/dlls/msvcp90
:XMODIFIERS=@im=none
:LANG=sv_SE.UTF-8
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=997
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=3
:XDG_SEAT=seat0
:HOME=/home/noname
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:'GCC=gcc -m32'
:LOGNAME=noname
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Yw7zhTws3h,guid=d9e64eb4f9ac2e87c460cc2400000020
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/noname
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-noname-nPaDdk/database
:_=/usr/bin/make

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            unlimited            unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63221                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63221                63221                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-00429000 r-xp 00000000 08:02 262862                             /usr/bin/make
:00628000-00629000 r--p 00028000 08:02 262862                             /usr/bin/make
:00629000-0062b000 rw-p 00029000 08:02 262862                             /usr/bin/make
:0062b000-0062c000 rw-p 00000000 00:00 0 
:0082a000-0082b000 rw-p 0002a000 08:02 262862                             /usr/bin/make
:00e6e000-00ed2000 rw-p 00000000 00:00 0                                  [heap]
:3dc2800000-3dc2820000 r-xp 00000000 08:02 273872                         /usr/lib64/ld-2.15.so
:3dc2a1f000-3dc2a20000 r--p 0001f000 08:02 273872                         /usr/lib64/ld-2.15.so
:3dc2a20000-3dc2a21000 rw-p 00020000 08:02 273872                         /usr/lib64/ld-2.15.so
:3dc2a21000-3dc2a22000 rw-p 00000000 00:00 0 
:3dc3000000-3dc31ac000 r-xp 00000000 08:02 273874                         /usr/lib64/libc-2.15.so
:3dc31ac000-3dc33ac000 ---p 001ac000 08:02 273874                         /usr/lib64/libc-2.15.so
:3dc33ac000-3dc33b0000 r--p 001ac000 08:02 273874                         /usr/lib64/libc-2.15.so
:3dc33b0000-3dc33b2000 rw-p 001b0000 08:02 273874                         /usr/lib64/libc-2.15.so
:3dc33b2000-3dc33b7000 rw-p 00000000 00:00 0 
:7f1921aa6000-7f1927ed1000 r--p 00000000 08:02 272629                     /usr/lib/locale/locale-archive
:7f1927ed1000-7f1927ed4000 rw-p 00000000 00:00 0 
:7f1927efc000-7f1927efe000 rw-p 00000000 00:00 0 
:7fff1e379000-7fff1e39a000 rw-p 00000000 00:00 0                          [stack]
:7fff1e3ff000-7fff1e400000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:/dev/pts/2
:pos:	0
:flags:	0102002
:1:/dev/pts/2
:pos:	0
:flags:	0102002
:2:/dev/pts/2
:pos:	0
:flags:	0102002
:3:pipe:[337208]
:pos:	0
:flags:	02000000

var_log_messages:
:Apr 19 16:11:09 devbox kernel: [11612.707152] make[891]: segfault at 0 ip 0000003dc3085f21 sp 00007fff1e395c28 error 4 in libc-2.15.so[3dc3000000+1ac000]
:Apr 19 16:11:10 devbox abrt[900]: Saved core dump of pid 891 (/usr/bin/make) to /var/spool/abrt/ccpp-2012-04-19-16:11:09-891 (663552 bytes)
Comment 1 Paul Alesius 2012-04-19 10:13:14 EDT
Created attachment 578658 [details]
File: backtrace
Comment 2 Fedora End Of Life 2013-07-03 22:42:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 05:14:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.